POST api/v1/clubmovements
Request Information
URI Parameters
None.
Body Parameters
AddMovementDto| Name | Description | Type | Additional information |
|---|---|---|---|
| OrganizationCode | string |
None. |
|
| ClubMemberId | globally unique identifier |
None. |
|
| ClubRuleId | globally unique identifier |
None. |
|
| Points | decimal number |
None. |
|
| Type | ClubMovementType |
None. |
|
| PurchaseId | globally unique identifier |
None. |
|
| PurchaseItemId | globally unique identifier |
None. |
|
| MkActionParticipationId | globally unique identifier |
None. |
|
| MmServiceParticipationId | globally unique identifier |
None. |
|
| UsedCouponCodeId | globally unique identifier |
None. |
|
| CouponCodeId | globally unique identifier |
None. |
|
| PromotionId | globally unique identifier |
None. |
|
| DeviceId | globally unique identifier |
None. |
|
| Annotations | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"organizationCode": "sample string 1",
"clubMemberId": "055b3d3d-12be-460a-b6ab-ac118342858f",
"clubRuleId": "30af2646-e0b5-408d-957d-fbb714417767",
"points": 3.0,
"type": 0,
"purchaseId": "dcbb32a8-2cbb-422f-b142-9a2fc48d17cc",
"purchaseItemId": "551d58e7-5535-4936-8a0f-25b5e89f5671",
"mkActionParticipationId": "36fc3584-8ec8-4800-9e07-b72a55060301",
"mmServiceParticipationId": "604be196-7ed4-49d3-880c-198e7342b496",
"usedCouponCodeId": "cab70637-155e-46aa-8a72-e914f9ae4e5c",
"couponCodeId": "3826f6ff-ffd6-4dd4-96e5-8d0fe8c90bb8",
"promotionId": "1c0f7a8a-8cb1-4e21-959c-b79469b363a6",
"deviceId": "82b9c961-a746-44de-adc7-575b341cb008",
"annotations": "sample string 4"
}
application/xml, text/xml
Sample:
<AddMovementDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Application.Services.Dtos"> <Annotations>sample string 4</Annotations> <ClubMemberId>055b3d3d-12be-460a-b6ab-ac118342858f</ClubMemberId> <ClubRuleId>30af2646-e0b5-408d-957d-fbb714417767</ClubRuleId> <CouponCodeId>3826f6ff-ffd6-4dd4-96e5-8d0fe8c90bb8</CouponCodeId> <DeviceId>82b9c961-a746-44de-adc7-575b341cb008</DeviceId> <MkActionParticipationId>36fc3584-8ec8-4800-9e07-b72a55060301</MkActionParticipationId> <MmServiceParticipationId>604be196-7ed4-49d3-880c-198e7342b496</MmServiceParticipationId> <OrganizationCode>sample string 1</OrganizationCode> <Points>3</Points> <PromotionId>1c0f7a8a-8cb1-4e21-959c-b79469b363a6</PromotionId> <PurchaseId>dcbb32a8-2cbb-422f-b142-9a2fc48d17cc</PurchaseId> <PurchaseItemId>551d58e7-5535-4936-8a0f-25b5e89f5671</PurchaseItemId> <Type>MkactionParticipation</Type> <UsedCouponCodeId>cab70637-155e-46aa-8a72-e914f9ae4e5c</UsedCouponCodeId> </AddMovementDto>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.